// 导入axios实例
import http from "@/utils/request_wx";

// 项目管理弹框列表
export function projectList(data: object) {
  return http.request({
    url: "/cs-harmonic-boot/csconfiguration/queryPage",
    method: "post",
    data,
  });
}

// 新增
export function add(data) {
  return http.request({
    url: "/cs-harmonic-boot/csconfiguration/add",
    method: "post",
    data,
  });
}

// 修改  删除
export function edit(data) {
  return http.request({
    url: "/cs-harmonic-boot/csconfiguration/audit",
    method: "post",
    data,
  });
}

// 激活
export function active(data) {
  return http.request({
    url: "/cs-harmonic-boot/csconfiguration/active",
    method: "get",
    params: data,
  });
}

// 激活  改变画布状态
export function getActive(data) {
  return http.request({
    url: "/cs-harmonic-boot/csconfiguration/getActive",
    method: "get",
    params: data,
  });
}

// 右侧监测点规模统计
export function ledgerScale(data) {
  return http.request({
    url: "/scale/ledgerScale",
    method: "post",
    data: data,
  });
}

// 暂降溯源统计
export function eventSource(data) {
  return http.request({
    url: "/scale/eventSource",
    method: "post",
    data: data,
  });
}

// 暂降聚合个数
export function eventAggregation(data) {
  return http.request({
    url: "/scale/eventAggregation",
    method: "post",
    data: data,
  });
}

// 闪烁点统计
export function hasEventList(data) {
  return http.request({
    url: "/scale/hasEventList",
    method: "post",
    data: data,
  });
}

// 实时信息
export function getEventList(data) {
  return http.request({
    url: "/scale/eventList",
    method: "post",
    data: data,
  });
}

// 聚合
export function clickImage(data) {
  return http.request({
    url: "/scale/clickImage",
    method: "post",
    data: data,
  });
}

// 单个点击图元，查看详情
export function processEvents(data) {
  return http.request({
    url: "/process/processEvents",
    method: "post",
    data: data,
  });
}

// 监测点规模统计  站点弹框详情
export function stationPage(data) {
  return http.request({
    url: "/scale/stationPage",
    method: "post",
    data: data,
  });
}

// 监测点规模统计  终端弹框详情
export function devPage(data) {
  return http.request({
    url: "/scale/devPage",
    method: "post",
    data: data,
  });
}
// 监测点规模统计  检测点弹框详情
export function linePage(data) {
  return http.request({
    url: "/scale/linePage",
    method: "post",
    data: data,
  });
}

// 获取区域中断终端
export function getTerminalTreeForFive(data: any) {
  return http.request({
    url: "/terminalTree/getTerminalTreeForFive",
    method: "post",
    data: data,
  });
}
// 台账变更推送
export function ledgerChangePush() {
  return http.request({
    url: "/device/ledgerChangePush",
    method: "post",
  });
}
// 台账变更推送
export function getPushResult(data: any) {
  return http.request({
    url: "/device/getPushResult",
    method: "post",
    params: data,
  });
}

//负荷数据  用采数据列表
export function userDataList(data: any) {
  return http.request({
    url: "/responsibility/userDataList",
    method: "post",
    data,
  });
}

// 完整性详情
export function userDataIntegrityList(data: any) {
  return http.request({
    url: "/responsibility/userDataIntegrityList",
    method: "post",
    data,
  });
}

//删除用采数据
export function deleteUserDataByIds(data: any) {
  return http.request({
    url: "/responsibility/deleteUserDataByIds",
    method: "post",
    data,
  });
}

// 上传文件
export function uploadUserData(data: any) {
  return http.request({
    url: "/responsibility/uploadUserData",
    method: "post",
    data,
  });
}

//执行
export function getHistoryHarmData(data: any) {
  return http.request({
    url: "/harmonic/getHistoryHarmData",
    method: "post",
    data,
  });
}

//生成谐波责任指标
export function getResponsibilityData(data: any) {
  return http.request({
    url: "/responsibility/getResponsibilityData",
    method: "post",
    data,
  });
}
//生成动态谐波责任数据
export function getDynamicData(data: any) {
  return http.request({
    url: "/responsibility/getDynamicData",
    method: "post",
    data,
  });
}

// 谐波溯源表格
export function responsibilityList(data: any) {
  return http.request({
    url: "/responsibility/responsibilityList",
    method: "post",
    data,
  });
}

// 谐波溯源详情
export function displayHistoryData(data: any) {
  return http.request({
    url: "/responsibility/displayHistoryData",
    method: "get",
    params: data,
  });
}

// 谐波溯源删除
export function deleteByIds(data: any) {
  return http.request({
    url: "/responsibility/deleteByIds",
    method: "post",
    data,
  });
}

// 谐波放大表格
export function getInfoList(data: any) {
  return http.request({
    url: "/harmonicUp/getInfoList",
    method: "post",
    data: data,
  });
}

// 谐波放大测点
export function tableInfo(data: any) {
  return http.request({
    url: "/harmonicUp/tableInfo",
    method: "post",
    data: data,
  });
}

// 谐波放大测点详情
export function getDetail(data: any) {
  return http.request({
    url: "/harmonicUp/getDetail",
    method: "post",
    data: data,
  });
}

// 稳态指标
export function realTimeData(data) {
  return http.request({
    url: "/data/realTimeData",
    method: "post",
    params: data,
  });
}

// 趋势图
export function getHistoryResult(data) {
  return http.request({
    url: "/harmonic/getHistoryResult",
    method: "post",
    data,
  });
}

// 谐波溯源表格点击事件
export function harmOneImage(data) {
  return http.request({
    url: "/scale/harmOneImage",
    method: "get",
    params: data,
  });
}

// 谐波暂降详情点击
export function eventListByLineId(data) {
  return http.request({
    url: "/scale/eventListByLineId",
    method: "post",
    data: data,
  });
}

// 部门列表
export function loginDeptTree(data) {
  return http.request({
    url: "/dept/loginDeptTree",
    method: "get",
    params: data,
  });
}

// 事件类型
export function getDicDataByTypeCode(data) {
  return http.request({
    url: "/dicData/getDicDataByTypeCode",
    method: "get",
    params: data,
  });
}

// 谐波放大闪烁点
export function hasUpEventList(data) {
  return http.request({
    url: "/scale/hasUpEventList",
    method: "post",
    data: data,
  });
}
